[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# XorDecode

Decode a string encoded with XorEncode

## Declaration

Source position: strutils.pp line 216

`function XorDecode(`
`const Key: string;`
`const Source: string`
`):string;`

## Arguments

`Key` |  | Key to use when decoding.
`Source` |  | String to decode

## Function result

Hexadecimal representation of the XOR-encoded string.

## Description

XorDecode decodes Source and returns the original string that was encrypted using XorEncode with key Key. If a different key is used than the key used to encode the string, the result will be unreadable.

## Errors

If the string Source is not a valid XorEncode result (e.g. contains non-numerical characters), then a EConversionError exception will be raised.

## See also

XorEncode |  | Encode a string by XOR-ing its characters using characters of a given key, representing the result as hex values.
XorString |  | Encode a string by XOR-ing its characters using characters of a given key.